package com.futhark;

import com.futhark.item.ModItems;
import net.fabricmc.api.ModInitializer;
import net.fabricmc.fabric.api.event.player.UseBlockCallback;

import net.minecraft.util.ActionResult;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Futhark implements ModInitializer {
	public static final String MOD_ID = "futhark";

	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitialize() {
		LOGGER.info("Hello from Futhark!");
		ModItems.initialize();

		UseBlockCallback.EVENT.register(((player, world, hand, hitResult) -> {
			LOGGER.info(hand.toString());
			LOGGER.info(hitResult.toString());

			return ActionResult.PASS;
		}));
	}
}